import { select, arc } from 'd3';

const svg = select('svg');

const height = parseFloat(svg.attr('height'));
const width  = +svg.attr('width');

const g = svg.append('g')
	.attr('transform', 'translate(' + width/2 + ',' + height/2 +' )');

const circle = g.append('circle')
	.attr('r', height/2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius  = 40;
const eyepupilRadius = eyeRadius/4;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYOffset = -70;

const eyesGroup = g
	.append('g')
		.attr('transform', 'translate(0,' +  eyeYOffset +')')
		.attr('fill', 'red');

eyesGroup
	.transition().duration(400)
		.attr('transform', 'translate('+ 100 + ',' + 0 +')')
	.transition().duration(1000)
		.attr('transform', 'translate(' + -20 + ',' + (eyebrowYOffset - 50) +')')
	.transition().duration(2000)
		.attr('transform', 'translate(' + 0 + ',' + (eyebrowYOffset) +')')
;

const leftEye = eyesGroup
	.append('circle')
  	.attr('r', eyeRadius)
		.attr('cx', - eyeSpacing);

const leftEyePupil = eyesGroup
	.append('circle')
		.attr('fill', 'black')
  	.attr('r', eyepupilRadius)
		.attr('cx', - eyeSpacing);

const rightEye = eyesGroup
	.append('circle')
  	.attr('r', eyeRadius)
		.attr('cx', eyeSpacing);

const rightEyePupil = eyesGroup
	.append('circle')
		.attr('fill', 'black')
  	.attr('r', eyepupilRadius)
		.attr('cx', eyeSpacing);

const eyebrowsGroup = eyesGroup
	.append('g')
		.attr('transform', 'translate(0,' +  eyebrowYOffset +')')
		.attr('fill', 'gray');

eyebrowsGroup
	.transition().duration(400)
		.attr('transform', 'translate(0,' +  (eyebrowYOffset-50) +')')
		.attr('transform', 'rotate(' + 20 + ')')
	.transition().duration(200)
		.attr('transform', 'rotate(' + -20 + ')')
	.transition().duration(1000)
		.attr('transform', 'translate(0,' +  (eyebrowYOffset) +')');

const leftEyebrow = eyebrowsGroup
	.append('rect')
		.attr('x', - eyeSpacing - eyebrowWidth/2)
		.attr('width', eyebrowWidth)
		.attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsGroup
	.append('rect')
    .attr('x', eyeSpacing - eyebrowWidth/2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);


const mouth = g
	.append('path');

const mouthG = mouth
	// .transition().duration(400)
	// 	.attr('transform', 'translate(0,' +  (eyebrowYOffset-50) +')')
	// .transition().duration(1000)
	// 	.attr('transform', 'translate(0,' +  (eyebrowYOffset) +')');

	// .transition().duration(400)
	// 	.attr('transform', ({
	// innerRadius: 80,
	// outerRadius: 170,
	// startAngle:  Math.PI/2,
	// endAngle:    Math.PI * 3/2
	// }))
	// // .transition().duration(1000)
	// // 	.attr('transform', ({
	// // innerRadius: 150,
	// // outerRadius: 170,
	// // startAngle:  Math.PI/2,
	// // endAngle:    Math.PI * 3/2
	// // }));
;

mouthG
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle:  Math.PI/2,
      endAngle:    Math.PI * 3/2
  }))





